#pragma once
#include <glm/glm.hpp>
#include <imgui.h>
#include <string>
#include "../../libs/guizmo/ImGuizmo.h"
#include "../../BarinkEngine/src/BarinkEngine.h"
#include <entt/entt.hpp>
#include <entt/entity/fwd.hpp>
typedef void ( *voidFunction ) (void);

void ComponentView(const std::string& componentName, voidFunction func);

void Inspector(entt::entity entity, Scene& scene);

void SceneExplorer(entt::entity& selected, Scene& scene);

void Viewport(Framebuffer& framebuffer, Scene& scene);

void Settings();

void Console();

void AssetsFinder();